<?php

namespace DuD\MatheAuswertungBundle\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;
use Symfony\Component\HttpKernel\DependencyInjection\Extension;

class DuDMatheAuswertungExtension extends Extension
{
    /**
     * Loads a specific configuration.
     *
     * @param array $configs   An array of configuration settings
     * @param ContainerBuilder $container A ContainerBuilder instance
     */
    public function load(array $configs, ContainerBuilder $container)
    {
        $loader = new YamlFileLoader($container, new FileLocator(__DIR__ . '/../Resources/config'));
        
        // Lade die Services aus der services.yaml-Datei
        $loader->load('services.yaml');
    }
}
